CREATE OR REPLACE FUNCTION increasePriceBy( pct Integer ) RETURNS Integer AS
$$
DECLARE
    r_cnt numeric;
BEGIN
    r_cnt := 0;
    update room set price = price * ( 1.0 + pct/100.0);
    GET DIAGNOSTICS r_cnt = ROW_COUNT; 
    return r_cnt;
    -- return ROW_COUNT; it works if call from psql, not work fron java program call. 
EXCEPTION
    WHEN others THEN
    RAISE 'Updating room price by [%] failed due to [%]', round( pct/100.0, 2) ,  SQLERRM;
END;
$$ LANGUAGE plpgsql;


